com.lowagie.text.pdf

## Class FontSelector

- java.lang.Object
- - com.lowagie.text.pdf.FontSelector

-     public class FontSelector
      extends java.lang.Object

  Selects the appropriate fonts that contain the glyphs needed to render text correctly. The fonts are checked in order until the character is found.

  The built in fonts "Symbol" and "ZapfDingbats", if used, have a special encoding to allow the characters to be referred by Unicode.

  Author:
    Paulo Soares (psoares@consiste.pt)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.ArrayList` | `fonts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontSelector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFont(Font font)` Adds a `Font` to be searched for valid characters.
    `Phrase` | `process(java.lang.String text)` Process the text so that it will render with a combination of fonts if needed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fonts

          protected java.util.ArrayList fonts

  - ### Constructor Detail

    - #### FontSelector

          public FontSelector()

  - ### Method Detail

    - #### addFont

          public void addFont(Font font)

      Adds a `Font` to be searched for valid characters.
      Parameters:
        `font` - the `Font`

    - #### process

          public Phrase process(java.lang.String text)

      Process the text so that it will render with a combination of fonts if needed.
      Parameters:
        `text` - the text
      Returns:
        a `Phrase` with one or more chunks